Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # derived_view_type Class Template Reference [derived_xxx_type] `#include <metafunctions.hpp>` List of all members. ## Detailed Description ### template<typename View, typename T = use_default, typename L = use_default, typename IsPlanar = use_default, typename StepX = use_default, typename IsMutable = use_default> class boost::gil::derived_view_type< View, T, L, IsPlanar, StepX, IsMutable > Constructs an image view type from a source view type by changing some of the properties. Use use_default for the properties of the source view that you want to keep.
## Public Types
typedef view_type< channel_t, layout_t, planar, step, mut > ::type | type
The documentation for this class was generated from the following file: metafunctions.hpp